//--------------------------------------------------------------------
//                                                                    
//  Module:       PopupDate                                       
//  Description:  PopupDate
//                                                                    
//--------------------------------------------------------------------

import java.awt.*;
import java.awt.event.*;
import java.applet.*;
import java.util.*;
import java.io.*;
import java.net.*;


public class PopupDate extends JDPClassLayout  {

	JDPUser user;
	JDPJagg jaggSQL;
	JDPPopupMessage popuppanel;
	JDPMaskEdit JDPMaskEditMain;
	String moduleParameter;
	//
	//  Declare screen components
	//
	Panel Main;
	JDPPopupComponent PopupComponent1;
	JDPCalendarPicker Calendar1;
	JDPScrollPanel ScrollPanel1;
	Label Label1;
	TextField Date1;

	public void InitClass(JDPUser user, Panel targetPanel, String moduleParameter) {

		this.user = user;
		this.moduleParameter = moduleParameter;
		//
		//  Set JAGG settings for this class
		//
		jaggSQL = new JDPJagg(user.jaggPath);

		setLayout(new BorderLayout());
		popuppanel = new JDPPopupMessage(user,this);
		add(popuppanel);
		JDPMaskEditMain = new JDPMaskEdit();

		Main = new Panel();
		PopupComponent1 = new JDPPopupComponent(user, this);
		Calendar1 = new JDPCalendarPicker();
		ScrollPanel1 = new JDPScrollPanel();
		Label1 = new Label("Date:", Label.LEFT);
		Date1 = new TextField("", 20);

		Main.setLayout(new BorderLayout());
		add("Center", Main);
		Main.add("South", PopupComponent1);
		PopupComponent1.add("Center", Calendar1);
		Main.add("Center", ScrollPanel1);
		ScrollPanel1.add("Left", Label1);
		ScrollPanel1.add("Right", Date1);

		Calendar1.setBorder(true);


		//
		//  Initialise Components
		//
		InitComponents();
		//
		//  Add the handle to this panel to the global vector so other panels can
		//  access this one
		//
		user.gParm.addElement(this);
	}

	//
	//  Handle screen events
	//
	public boolean handleEvent(Event e) {

		switch (e.id) {
		case Event.KEY_PRESS:
			if (e.target.equals(Date1)) {
				//  If not the tab key pressed
				if (e.key != 9) {
					PopupComponent1.display(e.x+3, e.y+3);
				}
				return false;
			}
			return false;

		case Event.ACTION_EVENT:
			if (e.target.equals(Calendar1)) {
				PopupComponent1.hide();
				Date1.setText(Calendar1.getDateString());
				return true;
			}
			return false;

		case Event.LOST_FOCUS:
			if (e.target.equals(Calendar1)) {
				PopupComponent1.hide();
				return true;
			}
			return false;

		case Event.GOT_FOCUS:
			if (e.target.equals(Date1)) {
				PopupComponent1.display(e.x+3, e.y+3);
				return true;
			}
			return false;

		case Event.MOUSE_MOVE:
		case Event.MOUSE_ENTER:
		case Event.MOUSE_EXIT:
			popuppanel.postEvent(e);
			return false;

		default:
			return false;

		}
	}


	//
	//  Initialise other components by calling their methods
	//
	public void InitComponents() {

		

	}

}
